curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
Get a wave
Get a wave
GET
/
api
/
v1
/
fulfillment
/
waves
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
Path parameters
string
required
Wave ID
Response
WaveResponse
integer (int32)
required
string
required
string
required
integer (int32)
required
integer (int32)
required
integer (int32)
required
string
required
integer (int32)
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
404 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/fulfillment/waves/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"completed_pick_count": 1,
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_count": 1,
"pick_count": 1,
"priority": 1,
"status": "pending",
"warehouse_id": 1001,
"wave_number": "string"
}
Last modified on August 31, 2026